/**
 * RoleClassIsSpeciesEntity.java
 *
 * File generated from the medication::RoleClassIsSpeciesEntity uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassIsSpeciesEntity.
 *
 * 
 */

@XmlType(name = "RoleClassIsSpeciesEntity")
@XmlEnum
@XmlRootElement(name = "RoleClassIsSpeciesEntity")
public enum RoleClassIsSpeciesEntity {
	@XmlEnumValue("GEN")
	GEN("GEN"),
	@XmlEnumValue("GRIC")
	GRIC("GRIC");
	
	private final String value;

    RoleClassIsSpeciesEntity(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassIsSpeciesEntity fromValue(String v) {
        for (RoleClassIsSpeciesEntity c: RoleClassIsSpeciesEntity.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}